<?php // no direct access
defined('_JEXEC') or die('Restricted access');
JHtml::addIncludePath(JPATH_COMPONENT . '/helpers');
$canEdit	= ($this->user->authorize('com_content', 'edit', 'content', 'all') || $this->user->authorize('com_content', 'edit', 'content', 'own'));
?>
<?php if ($this->item->params->get('show_page_heading', 1) && $this->item->params->get('show_page_heading') != $this->item->title) : ?>
	<div class="componentheading<?php echo $this->escape($this->item->params->get('pageclass_sfx')); ?>">
		<?php echo $this->escape($this->item->params->get('page_title')); ?>
	</div>
<?php endif; ?>
<?php if (($this->item->params->get('show_author')) && ($this->item->params->get('show_create_date'))) : ?>
<table class="contentpaneopen<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
<tr>
	<td valign="top">
		<span class="small">
			<?php $author = $this->item->created_by_alias ? $this->item->created_by_alias : $this->item->author; ?>
			<?php JText::printf( 'COM_CONTENT_WRITTEN_BY', $author ); ?>
		</span>
		&nbsp;&nbsp;
		<span class="createdate"><?php echo JHTML::_('date', $this->item->created, JText::_('DATE_FORMAT_LC2')) ?></span>
	</td>
	<?php if (!$this->print) : ?>
		<?php if ($this->item->params->get('show_pdf_icon')) : ?>
		<td align="right" width="3%" class="buttonheading">
		<div class="pdf-btn">
		<?php echo JHtml::_('icon.pdf',  $this->item, $this->item->params, $this->access); ?>
		</div>
		</td>
		<?php endif; ?>

		<?php if ( $this->item->params->get( 'show_print_icon' )) : ?>
		<td align="right" width="3%" class="buttonheading">
		<div class="print-btn">
		<?php echo JHtml::_('icon.print_popup',  $this->item, $this->item->params, $this->access); ?>
		</div>
		</td>
		<?php endif; ?>

		<?php if ($this->item->params->get('show_email_icon')) : ?>
		<td align="right" width="3%" class="buttonheading">
		<div class="email-btn">
		<?php echo JHtml::_('icon.email',  $this->item, $this->item->params, $this->access); ?>
		</div>
		</td>
		<?php endif; ?>
		<?php if ($canEdit) : ?>
		<td align="right" width="3%" class="buttonheading">
			<?php echo JHtml::_('icon.edit', $this->item, $this->item->params, $this->access); ?>
		</td>
		<?php endif; ?>
	<?php else : ?>
		<td align="right" width="3%" class="buttonheading">
		<?php echo JHtml::_('icon.print_screen',  $this->item, $this->item->params, $this->access); ?>
		</td>
	<?php endif; ?>
</tr>
</table>
<?php endif; ?>
<?php if ($canEdit || $this->item->params->get('show_title') || $this->item->params->get('show_pdf_icon') || $this->item->params->get('show_print_icon') || $this->item->params->get('show_email_icon')) : ?>
<table class="contentpaneopen<?php echo $this->escape($this->item->params->get('pageclass_sfx')); ?>">
<tr>
	<?php if ($this->item->params->get('show_title')) : ?>
	<td class="componentheading<?php echo $this->escape($this->item->params->get('pageclass_sfx')); ?>" width="100%">
		<?php if ($this->item->params->get('link_titles') && $this->item->readmore_link != '') : ?>
		<a href="<?php echo $this->item->readmore_link; ?>" class="contentpagetitle<?php echo $this->escape($this->item->params->get('pageclass_sfx')); ?>">
			<?php echo $this->escape($this->item->title); ?></a>
		<?php else : ?>
			<?php echo $this->escape($this->item->title); ?>
		<?php endif; ?>
	</td>
	<?php endif; ?>
	
</tr>
</table>
<?php endif; ?>

<?php  if (!$this->item->params->get('show_intro')) :
	echo $this->item->event->afterDisplayTitle;
endif; ?>
<?php echo $this->item->event->beforeDisplayContent; ?>
<table class="contentpaneopen<?php echo $this->escape($this->item->params->get('pageclass_sfx')); ?>">
<?php if (($this->item->params->get('show_section') && $this->item->sectionid) || ($this->item->params->get('show_category') && $this->item->catid)) : ?>
<tr>
	<td>
		<?php if ($this->item->params->get('show_section') && $this->item->sectionid && isset($this->item->section)) : ?>
		<span>
			<?php if ($this->item->params->get('link_section')) : ?>
				<?php echo '<a href="'.JRoute::_(ContentHelperRoute::getSectionRoute($this->item->sectionid)).'">'; ?>
			<?php endif; ?>
			<?php echo $this->escape($this->item->section); ?>
			<?php if ($this->item->params->get('link_section')) : ?>
				<?php echo '</a>'; ?>
			<?php endif; ?>
				<?php if ($this->item->params->get('show_category')) : ?>
				<?php echo ' - '; ?>
			<?php endif; ?>
		</span>
		<?php endif; ?>
		<?php if ($this->item->params->get('show_category') && $this->item->catid) : ?>
		<span>
			<?php if ($this->item->params->get('link_category')) : ?>
				<?php echo '<a href="'.JRoute::_(ContentHelperRoute::getCategoryRoute($this->item->catslug, $this->item->sectionid)).'">'; ?>
			<?php endif; ?>
			<?php echo $this->escape($this->item->category); ?>
			<?php if ($this->item->params->get('link_category')) : ?>
				<?php echo '</a>'; ?>
			<?php endif; ?>
		</span>
		<?php endif; ?>
	</td>
</tr>
<?php endif; ?>
<?php if ($this->item->params->get('show_url') && $this->item->urls) : ?>
<tr>
	<td valign="top">
		<a href="http://<?php echo $this->item->urls ; ?>" target="_blank">
			<?php echo $this->escape($this->item->urls); ?></a>
	</td>
</tr>
<?php endif; ?>

<tr>
<td valign="top">
<?php if (isset ($this->item->toc)) : ?>
	<?php echo $this->item->toc; ?>
<?php endif; ?>
<div class="article-content"><?php echo $this->item->text; ?></div>
</td>
</tr>

<?php if ( intval($this->item->modified) !=0 && $this->item->params->get('show_modify_date')) : ?>
<tr>
	<td class="modifydate">
		<?php echo JText::sprintf('COM_CONTENT_LAST_UPDATED', JHTML::_('date', $this->item->modified, JText::_('DATE_FORMAT_LC2'))); ?>
	</td>
</tr>
<?php endif; ?>
</table>
<span class="item_separator">&nbsp;</span>
<?php echo $this->item->event->afterDisplayContent; ?>
